Create Mandate Token

This API is used to initate the process to Create a Mandate and is applicable for BillDesk Hosted Payments Page and BillDesk Web SDK workflows

Body Params
string
required

Unique identifier as defined by BillDesk for each merchant

string
required

Unique reference of the customer in the merchant system, and can be linked to different subscriptions of the same customer Required for mandate and tokenization

string
required

Unique reference assigned by merchant for a subscription

string
required

Customer friendly description for the subscription, this narration is generally displayed to the customer at the issuer channel

string
required

ISO currency code of the transaction amount, for INR this value will be 356

string
enum
required

Frequency at which the subscription debits will be processed, possible values are: •week - weekly •mnth - monthly •bimn – bi-monthly •qurt - quarterly •bian – bi-annually •year - yearly •adho – adhoc

Allowed:
string
enum
required

Indicates whether subscription amount is fixed or has a maximum limit. The following values are possible • maximum - indicates the maximum amount that can be charged for the subscription • fixed – indicates the fixed amount to be charged for the subscription Please note: For upi, only "maximum" is allowed. This is required to allow for token debit (small value transaction)

Allowed:
string
required

Transaction amount in two decimals, eg. 299.28

date
required

Subscription start date in yyyy-mm-dd format Note: Should be greater than or equal to current date (IST timezone). Note for UPI : Should be equal to mandate creation date for UPI. In UPI, an subsequent charge is created on a successful mandate. This includes the first charge as well along with mandate creation. Since first charge is done immediately, it is important that the mandate “start_date” should be today’s date

date
required

Subscription end date in yyyy-mm-dd format Note: Should be greater than current date (IST timezone). For mandates that are valid ‘until cancelled’ by the customer, end_date year could be 2099, and for upi, maximum duration allowed for a mandate is 30 years

string
enum

Note: Required only where payment_method_type = upi. Default value : 'after'

Allowed:
string
enum

Required only where payment_method_type = upi. Default value "1" to be passed

Allowed:
customer
object
required
string
required

Merchants URL where the customer will be redirected after a transaction is completed

device
object
required

Device

additional_info
object

Array of 7 additional_info values that can be attached to the transaction. Note: Merchant is advised to not pass customer PII information in additional info fields.

Headers
string
required

BD-TraceID is a unique identifier passed by the merchant to ensure request idempotency. Requests with identical BD-TraceID within a 24 hour window would fail.

string
required

Request timestamp to identify date and time of origin of request. Example, a value of BD-Timestamp 20210113180403 identifies the request to have originated on 13th January 2021 at 06:04:03 PM.

string
required

Request Content-Type to take the values application/jose

string
required

Accept Response Content-Type to take the values application/jose

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json